Skip to main content

/cosmos/bank/v1beta1/balances/{address}/by_denom

GET

Balance queries the balance of a single coin for a single account.
Path Parameters
addressstringrequired
address is the address to query balances for.
Query Parameters
denomstring
denom is the coin denom to query balances for.
Responses
Coin defines a token with a denomination and an amount.NOTE: The amount field is an Int which implements the custom methodsignatures required by gogoproto.
denomstring
amountstring
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "An unexpected error response."
}
cURL
curl -X GET 'https://rest-cronospos-mainnet.nodit.io/cosmos/bank/v1beta1/balances/{address}/by_denom' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo'